<%@
  taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %><%@
  page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %><%@
  page import="com.ubnt.data.X" %><%@
  page import="com.ubnt.data.Admin"
%><%

X context = (X) request.getAttribute("context");
Admin admin = (Admin) context.get("admin");
String site_role = context.getString("site_role");
boolean is_super = context.is("super_admin", false);

%><fmt:bundle basename="messages">
<!DOCTYPE html>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<!--[if lt IE 7]> <html lang="en-us" class="no-js ie6"> <![endif]-->
<!--[if IE 7]>    <html lang="en-us" class="no-js ie7"> <![endif]-->
<!--[if IE 8]>    <html lang="en-us" class="no-js ie8"> <![endif]-->
<!--[if IE 9]>    <html lang="en-us" class="no-js ie9"> <![endif]-->
<!--[if gt IE 9]><!--> <html lang="en-us" class="no-js"> <!--<![endif]-->
<head>
	<title><%=request.getServerName()%> - <fmt:message key="product.shortname" /></title>
	<jsp:include page="head_include.jsp">
		<jsp:param name="page" value="manage" />
	</jsp:include>
</head>

<body class="unifi <%=("readonly".equals(site_role) ? "readonly" : "")%> <%=(is_super ? "" : "siteonly")%>"
		adminid="<%=admin.getString("_id")%>"
		adminnewpass="<%=(admin.is("requires_new_password", false) ? "true" : "false")%>"
		siteid="<%=context.getString("site_id")%>"
		sitename="<%=context.getString("site_name")%>"
		role="<%=site_role%>" <%=(is_super ? "super=\"true\"" : "")%>
		>
	<div id="model-sites" style="display:none"></div>
	<div id="model-aps" style="display:none"></div>
	<div id="model-stas" style="display:none"></div>
	<div id="model-events" style="display:none"></div>
	<div id="model-maps" style="display:none"></div>
	<div id="model-apfilters" style="display:none"></div>
	<div id="model-usergroups" style="display:none"></div>
	<div id="model-wlangroups" style="display:none"></div>
	<div id="model-wlanconfs" style="display:none"></div>
	<div id="model-maintabpagesizer" style="display:none"></div>
	<div id="model-settings" style="display:none"></div>
	<div id="model-sysinfo" style="display:none"></div>
	<input type="text" id="ui-locate-blinker" style="display:none" />
	
	<jsp:include page="includes/dialogs/conn-dropped.jsp" />
	<jsp:include page="includes/dialogs/gmap-dialog.jsp" />
	
	<!-- Start: Page Content -->
	<div id="PageContent" class="page-content">
		<!-- Start: Header -->
		<div id="PageHeader" class="page-header">
			<div class="header-logo">UniFi Logo</div>
			
			<jsp:include page="includes/panels/quick-info-panel-content.jsp" />
		</div>
		<!-- End: Header -->
		<jsp:include page="includes/controls/refresh-control.jsp" />
		<jsp:include page="includes/controls/welcome.jsp" />

		<!-- Start: Main Panel -->
		<div id="MainPanel" class="main-panel">
			<!-- Start: Primary Tab Navigation -->
			<ul id="Navigation" class="navigation-tabs ui-alternate" style="display:block">
				<li><a href="#Map">Map</a></li>
				<li><a href="#Statistics">Statistics</a></li>
				<li><a href="#AccessPoints" id="AccessPointsTab">Access Points</a></li>
				<li><a href="#Users" id="UsersTab">Users</a></li>
				<li><a href="#Guests" id="GuestsTab">Guests</a></li>
				<li><a href="#Insights" id="InsightsTab">Insight</a></li>
			</ul>
			<!-- End: Primary Tab Navigation -->

			<!-- Start: Content -->
			<div id="Map" class="tab-wrapper-fullscreen">
				<!-- Start: Map Tab -->
				<jsp:include page="includes/tabs/map-tab-content.jsp" />
				<!-- End: Map Tab -->
			</div>
			<div id="Statistics" class="tab-wrapper-scrollable overview">
				<div class="tab-content">
				<!-- Start: Statistics Tab -->
				<jsp:include page="includes/tabs/statistics-tab-content.jsp" />
				<!-- End: Statistics Tab -->
				</div>
			</div>
			<div id="AccessPoints" class="tab-wrapper-scrollable">
				<div class="tab-content">
				<!-- Start: Access Points Tab -->
				<jsp:include page="includes/tabs/access-points-tab-content.jsp" />
				<!-- End: Access Points Tab -->
				</div>
			</div>
			<div id="Users" class="tab-wrapper-scrollable">
				<div class="tab-content">
				<!-- Start: Users Tab -->
				<jsp:include page="includes/tabs/users-tab-content.jsp" />
				<!-- End: UsersTab -->
				</div>
			</div>
			<div id="Guests" class="tab-wrapper-scrollable">
				<div class="tab-content">
				<!-- Start: Guests Tab -->
				<jsp:include page="includes/tabs/guests-tab-content.jsp" />
				<!-- End: Guests Tab -->
				</div>
			</div>
			<div id="Insights" class="tab-wrapper-scrollable">
				<div class="tab-content">
				<!-- Start: All Users Tab -->
				<jsp:include page="includes/tabs/insight-tab-content.jsp" />
				<!-- End:All Users Tab -->
				</div>
			</div>
		</div>
		<!-- End: Main Panel -->

		<!-- Start: Footer Panel -->
		<div id="FooterPanel" class="closed">
			<div class="footer-outer-container">
				<div class="footer-inner-container">
					<ul id="FooterNav" class="ui-alternate">
						<li><a id="EventsTab" href="#RecentEvents">Recent Events</a></li>
						<li><a id="AlertsTab" href="#Alerts">Alerts</a></li>
						<li><a id="SettingsTab" href="#Settings">Settings</a></li>
						<li class="for_super"><a href="#Admin">Admin</a></li>
					</ul>

					<div class="ui-alternate">
						<div id="FooterToggleButton">Toggle</div>
					</div>
		
					<div id="FooterPanels">
						<jsp:include page="includes/tabs/recent-events-tab-content.jsp" />
						<jsp:include page="includes/tabs/alerts-tab-content.jsp" />
						<jsp:include page="includes/tabs/settings-tab-content.jsp" />
						<jsp:include page="includes/tabs/admin-tab-content.jsp" />
					</div>
				</div>
			</div>
		</div>
	<!-- End: Footer Panel -->
</div>

<!-- Start: Access Point Dialog -->
<div class="ap-dialog floating-dialog ui-corner-all" style="display:none;">
	<div class="floating-dialog-content ui-corner-all">
	<jsp:include page="includes/dialogs/access-point-dialog-content.jsp" />
	</div>
</div>

<div class="sta-dialog floating-dialog ui-corner-all" style="display:none;">
	<div class="floating-dialog-content ui-corner-all">
	<jsp:include page="includes/dialogs/sta-dialog-content.jsp" />
	</div>
</div>

<!-- End: Access Point Dialog -->

	</body>
</html>
</fmt:bundle>